| Home · All Classes · All Namespaces · Modules · Functions · Files

# ObjectPathList Struct Reference
[List types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- ObjectPathList ()
- ObjectPathList (const QList< QDBusObjectPath > &a)
- ObjectPathList & operator= (const QList< QDBusObjectPath > &a)

## Detailed Description

Generic list type with QDBusObjectPath elements. Convertible with QList<QDBusObjectPath>, but needed to have a discrete type in the Qt4 type system.

## Constructor & Destructor Documentation

ObjectPathList | ( |  | ) | `[inline]`

ObjectPathList | ( | const QList< QDBusObjectPath > & | a | ) | `[inline]`

## Member Function Documentation

ObjectPathList& operator= | ( | const QList< QDBusObjectPath > & | a | ) | `[inline]`